Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.MenuItemEx Class Reference

## Public Member Functions
| MenuItemEx ()
| Constructor.
| MenuItemEx (MenuItemEx menu_item)
| Constructor, with another menu item object. More...
| MenuItemEx (String item_name, String return_name, boolean is_checked, boolean is_enabled, MenuItemExArray sub_menu_item_array)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_checked ()
| Get a boolean value which indicates whether the menu item is to be marked as checked. More...
boolean | getIs_enabled ()
| Get a boolean value which indicates whether the menu item is to appear enabled or grayed out. More...
String | getItem_name ()
| Get the menu item name, which is the string to appear on the menu item. More...
String | getReturn_name ()
| Get a string to be returned when the menu item is selected. More...
MenuItemExArray | getSub_menu_item_array ()
| Get the sub menu item array. More...
void | set (String item_name, String return_name, boolean is_checked, boolean is_enabled, MenuItemExArray sub_menu_item_array)
| Set values. More...
void | setIs_checked (boolean value)
| Set a boolean value which indicates whether the menu item is to be marked as checked. More...
void | setIs_enabled (boolean value)
| Set a boolean value which indicates whether the menu item is to appear enabled or grayed out. More...
void | setItem_name (String value)
| Set the menu item name, which is the string to appear on the menu item. More...
void | setReturn_name (String value)
| Set a string to be returned when the menu item is selected. More...
void | setSub_menu_item_array (MenuItemExArray value)
| Set the sub menu item array. More...

## Detailed Description

This class represents menu item.

## Constructor & Destructor Documentation

## ◆ MenuItemEx() [1/2]

com.foxit.sdk.MenuItemEx.MenuItemEx | ( | String | item_name,
|  | String | return_name,
|  | boolean | is_checked,
|  | boolean | is_enabled,
|  | MenuItemExArray | sub_menu_item_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

## ◆ MenuItemEx() [2/2]

com.foxit.sdk.MenuItemEx.MenuItemEx | ( | MenuItemEx | menu_item | ) |

Constructor, with another menu item object.

Parameters

  [in] | menu_item | Another menu item object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.MenuItemEx.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_checked()

com.foxit.sdk.MenuItemEx.getIs_checked | ( |  | ) |

Get a boolean value which indicates whether the menu item is to be marked as checked.

true means that the menu item is to be marked as checked, while false means that the menu item is not to be marked as checked.

Returns
  A boolean value which indicates whether the menu item is to be marked as checked.

## ◆ getIs_enabled()

com.foxit.sdk.MenuItemEx.getIs_enabled | ( |  | ) |

Get a boolean value which indicates whether the menu item is to appear enabled or grayed out.

true means that the menu item is to appear enabled, while false means that the menu item is to appear grayed out.

Returns
  A boolean value which indicates whether the menu item is to appear enabled or grayed out.

## ◆ getItem_name()

com.foxit.sdk.MenuItemEx.getItem_name | ( |  | ) |

Get the menu item name, which is the string to appear on the menu item.

Returns
  The menu item name, which is the string to appear on the menu item. The value of "-" is reserved to draw a separator line in the menu.

## ◆ getReturn_name()

com.foxit.sdk.MenuItemEx.getReturn_name | ( |  | ) |

Get a string to be returned when the menu item is selected.

Returns
  A string to be returned when the menu item is selected. The default is the value of item name.

## ◆ getSub_menu_item_array()

com.foxit.sdk.MenuItemEx.getSub_menu_item_array | ( |  | ) |

Get the sub menu item array.

Returns
  The sub menu item array.

## ◆ set()

void com.foxit.sdk.MenuItemEx.set | ( | String | item_name,
|  | String | return_name,
|  | boolean | is_checked,
|  | boolean | is_enabled,
|  | MenuItemExArray | sub_menu_item_array
| ) |  |

Set values.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

Returns
  None.

## ◆ setIs_checked()

com.foxit.sdk.MenuItemEx.setIs_checked | ( | boolean | value | ) |

Set a boolean value which indicates whether the menu item is to be marked as checked.

true means that the menu item is to be marked as checked, while false means that the menu item is not to be marked as checked.

Parameters

  [in] | value | A boolean value which indicates whether the menu item is to be marked as checked.

Returns
  None.

## ◆ setIs_enabled()

com.foxit.sdk.MenuItemEx.setIs_enabled | ( | boolean | value | ) |

Set a boolean value which indicates whether the menu item is to appear enabled or grayed out.

true means that the menu item is to appear enabled, while false means that the menu item is to appear grayed out.

Parameters

  [in] | value | A boolean value which indicates whether the menu item is to appear enabled or grayed out.

Returns
  None.

## ◆ setItem_name()

com.foxit.sdk.MenuItemEx.setItem_name | ( | String | value | ) |

Set the menu item name, which is the string to appear on the menu item.

Parameters

  [in] | value | The menu item name, which is the string to appear on the menu item. The value of "-" is reserved to draw a separator line in the menu.

Returns
  None.

## ◆ setReturn_name()

com.foxit.sdk.MenuItemEx.setReturn_name | ( | String | value | ) |

Set a string to be returned when the menu item is selected.

Parameters

  [in] | value | A string to be returned when the menu item is selected. The default is the value of item name.

Returns
  None.

## ◆ setSub_menu_item_array()

com.foxit.sdk.MenuItemEx.setSub_menu_item_array | ( | MenuItemExArray | value | ) |

Set the sub menu item array.

Parameters

  [in] | value | The sub menu item array.

Returns
  None.